Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22867
Description

Users should see clearly which plugins are trusted (e.g. with a bold green tick). Avoid any pejorative term for others (e.g. "Untrusted")

Related issues:
Duplicated by QGIS Application - Bug report # 14937: Expose "Featured” plugin... Rejected 2016-06-01

Associated revisions

Revision 6130204 - 2016-06-01 12:48 PM - Alexander Bruy

[pluginmanager] show trusted plugins (fix #14916)

History

#1 - 2016-05-27 11:20 PM - Alexander Bruy

We need to have support for this in the Plugins site, e.g. by adding another (probably accessible only for admins) tag to plugins XML file. Once we will have
this, we can add support in Plugin Manager

#2 - 2016-05-28 04:11 AM - Alessandro Pasotti

<trusted> attribute is now in the XML. Value can be True or False

#3 - 2016-05-30 04:16 AM - Alexander Bruy

Seems these changes case some troubles with pugin site, so for now we use older version without "trusted" attribute

#4 - 2016-06-01 03:47 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"6e1302047c090fb4a90b70bd898b29c97f6ca54b".

#5 - 2016-07-24 04:47 AM - Andre Joost

| suggest to backport the trusted flag to the QGIS 2.14.4 LTR version as well.

Furthermore, it should be included on https://plugins.qgis.org/plugins/ as well, possibly with a help icon that explains what the trusted flag is about. Maybe

"Trusted Author" is more meaningful to end users. See http://gis.stackexchange.com/questions/2031 16/what-does-the-trusted-flag-mean-for-qgis-plugins
https://plugins.qgis.org/plugins/
http://gis.stackexchange.com/questions/203116/what-does-the-trusted-flag-mean-for-qgis-plugins

for a discussion about that.
